Re-enable a previously disabled routing preset

1 min readEdit this page
POST
/v1/namespaces/{nsid}/routing-presets/{id}/enable

Clears disabled_at. The resolver starts honouring the preset again on the next request. Idempotent. Responds with the updated envelope (with disabled_at cleared).

Requires the routing_preset:write scope.

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Path Parameters

nsid*string

Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.

id*string

Surrogate id of the routing_presets row.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/namespaces/string/routing-presets/string/enable"
{  "disabled_at": "2019-08-24T14:15:22Z",  "id": "string",  "model": "string",  "name": "string",  "params": {},  "routing": {    "ignore": [      "string"    ],    "only": [      "string"    ],    "sort": "string"  },  "system_prompt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}

How is this guide?